# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.82.0"
name = "chloro-core"
version = "0.5.3"
build = false
include = [
    "README.md",
    "src/**/*",
]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Core functionality for chloro - a minimal Rust code formatter"
homepage = "https://github.com/lmmx/chloro"
documentation = "https://docs.rs/chloro-core"
readme = "README.md"
license = "MIT OR Apache-2.0"
repository = "https://github.com/lmmx/chloro"

[features]
default = []

[lib]
name = "chloro_core"
path = "src/lib.rs"

[dependencies.ctor]
version = "0.6.1"

[dependencies.ra_ap_syntax]
version = "0.0.259"

[dev-dependencies.braces]
version = "0.2.6"

[dev-dependencies.ctor]
version = "0.6.1"

[dev-dependencies.duct]
version = "1.1.1"

[dev-dependencies.imara-diff]
version = "0.2.0"

[dev-dependencies.insta]
version = "1.0"

[dev-dependencies.rust-format]
version = "0.3.4"

[dev-dependencies.tempfile]
version = "3"

[dev-dependencies.walkdir]
version = "2.5.0"
